QoreNumberNodeHelper Class Reference

manages conversions of a QoreValue to a QoreNumberNode More...

`#include <QoreNumberNode.h>`

## Public Member Functions

DLLLOCAL | QoreNumberNodeHelper (const QoreValue n)
| converts the argument to a QoreNumberNode if necessary
DLLLOCAL | ~QoreNumberNodeHelper ()
| destroys the object and dereferences the pointer being managed if it was a temporary object
DLLEXPORT QoreNumberNode * | getReferencedValue ()
| returns a referenced value and leaves the current object empty; the caller will own the reference More...
DLLLOCAL bool | is_temp () const
| returns true if the referenced being managed is temporary
DLLLOCAL const QoreNumberNode * | operator* ()
| returns the object being managed More...
DLLLOCAL const QoreNumberNode * | operator-> ()
| returns the object being managed More...

## Detailed Description

manages conversions of a QoreValue to a QoreNumberNode

## Member Function Documentation

## getReferencedValue()

DLLEXPORT QoreNumberNode* QoreNumberNodeHelper::getReferencedValue | ( |  | ) |

returns a referenced value and leaves the current object empty; the caller will own the reference

The number is referenced if necessary (if it was a temporary value)

Returns
  the number, where the caller will own the reference count

## operator*()

DLLLOCAL const QoreNumberNode* QoreNumberNodeHelper::operator* | ( |  | ) |

inline

returns the object being managed

Returns
  the object being managed

## operator->()

DLLLOCAL const QoreNumberNode* QoreNumberNodeHelper::operator-> | ( |  | ) |

inline

returns the object being managed

Returns
  the object being managed

The documentation for this class was generated from the following file:

- include/qore/QoreNumberNode.h